libepubgen::EPUBSpanStyleManager Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | Private Types | Private Member Functions | List of all members
libepubgen::EPUBSpanStyleManager Class Reference

Small class to manage the span style. More...

`#include <EPUBSpanStyleManager.h>`

Inheritance diagram for libepubgen::EPUBSpanStyleManager:

## Public Member Functions
| EPUBSpanStyleManager (std::string classNamePrefix)
| constructor More...
virtual | ~EPUBSpanStyleManager ()
| destructor More...
void | defineSpan (librevenge::RVNGPropertyList const &pList)
| define a span style More...
std::string | getClass (librevenge::RVNGPropertyList const &pList)
| returns the class name corresponding to a propertylist More...
std::string | getStyle (librevenge::RVNGPropertyList const &pList)
| returns the style string corresponding to a propertylist More...
void | send (EPUBCSSContent &out)
| send the data to the sink More...

## Protected Member Functions
virtual void | extractProperties (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| convert a property list into a CSS property map More...

## Protected Attributes
ContentNameMap_t | m_contentNameMap
| a map content -> name More...
std::map< int, std::string > | m_idNameMap
| a map id -> name More...
std::string | m_classNamePrefix

## Private Types
typedef std::unordered_map< EPUBCSSProperties, std::string, boost::hash< EPUBCSSProperties > > | ContentNameMap_t

## Private Member Functions
void | extractTextPosition (char const *value, EPUBCSSProperties &cssProps) const
| add data corresponding to a text position into the map More...
void | extractDecorations (librevenge::RVNGPropertyList const &pList, EPUBCSSProperties &cssProps) const
| add data corresponding to the line decoration into the map More...
| EPUBSpanStyleManager (EPUBSpanStyleManager const &orig)
EPUBSpanStyleManager | operator= (EPUBSpanStyleManager const &orig)

## Detailed Description

Small class to manage the span style.

## Member Typedef Documentation

## ◆ ContentNameMap_t

typedef std::unordered_map<EPUBCSSProperties, std::string, boost::hash<EPUBCSSProperties> > libepubgen::EPUBSpanStyleManager::ContentNameMap_t
| private

## Constructor & Destructor Documentation

## ◆ EPUBSpanStyleManager() [1/2]

libepubgen::EPUBSpanStyleManager::EPUBSpanStyleManager | ( | std::string | classNamePrefix | ) |
| inline

constructor

## ◆ ~EPUBSpanStyleManager()

virtual libepubgen::EPUBSpanStyleManager::~EPUBSpanStyleManager | ( |  | ) |
| inlinevirtual

destructor

## ◆ EPUBSpanStyleManager() [2/2]

libepubgen::EPUBSpanStyleManager::EPUBSpanStyleManager | ( | EPUBSpanStyleManager const & | orig | ) |
| private

## Member Function Documentation

## ◆ defineSpan()

void libepubgen::EPUBSpanStyleManager::defineSpan | ( | librevenge::RVNGPropertyList const & | pList | ) |

define a span style

## ◆ extractDecorations()

void libepubgen::EPUBSpanStyleManager::extractDecorations | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| private

add data corresponding to the line decoration into the map

Referenced by extractProperties().

## ◆ extractProperties()

void libepubgen::EPUBSpanStyleManager::extractProperties | ( | librevenge::RVNGPropertyList const & | pList,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| protectedvirtual

convert a property list into a CSS property map

Reimplemented in libepubgen::EPUBBodyStyleManager.

Referenced by getClass(), and getStyle().

## ◆ extractTextPosition()

void libepubgen::EPUBSpanStyleManager::extractTextPosition | ( | char const * | value,
|  | EPUBCSSProperties & | cssProps
| ) |  | const
| private

add data corresponding to a text position into the map

Referenced by extractProperties().

## ◆ getClass()

std::string libepubgen::EPUBSpanStyleManager::getClass | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the class name corresponding to a propertylist

Referenced by defineSpan().

## ◆ getStyle()

std::string libepubgen::EPUBSpanStyleManager::getStyle | ( | librevenge::RVNGPropertyList const & | pList | ) |

returns the style string corresponding to a propertylist

## ◆ operator=()

EPUBSpanStyleManager libepubgen::EPUBSpanStyleManager::operator= | ( | EPUBSpanStyleManager const & | orig | ) |
| private

## ◆ send()

void libepubgen::EPUBSpanStyleManager::send | ( | EPUBCSSContent & | out | ) |

send the data to the sink

Referenced by libepubgen::EPUBGenerator::writeStylesheet().

## Member Data Documentation

## ◆ m_classNamePrefix

std::string libepubgen::EPUBSpanStyleManager::m_classNamePrefix
| protected

Referenced by getClass().

## ◆ m_contentNameMap

ContentNameMap_t libepubgen::EPUBSpanStyleManager::m_contentNameMap
| protected

a map content -> name

Referenced by getClass(), and send().

## ◆ m_idNameMap

std::map<int, std::string> libepubgen::EPUBSpanStyleManager::m_idNameMap
| protected

a map id -> name

Referenced by defineSpan(), and getClass().

The documentation for this class was generated from the following files:

- EPUBSpanStyleManager.h
- EPUBSpanStyleManager.cpp